# Class CATypeRecordIdentifierConverter

java.lang.Object
com.io7m.cardant.shell.internal.converters.CATypeRecordIdentifierConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<CATypeRecordIdentifier>`

public final class CATypeRecordIdentifierConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<CATypeRecordIdentifier>
A value converter for type match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypeRecordIdentifierConverter()`
  Construct a converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<CATypeRecordIdentifier>`
  `convertedClass()`
  `CATypeRecordIdentifier`
  `convertFromString(String text)`
  `String`
  `convertToString(CATypeRecordIdentifier value)`
  `CATypeRecordIdentifier`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CATypeRecordIdentifierConverter

    public CATypeRecordIdentifierConverter()
    Construct a converter.

- ## Method Details

  - ### convertFromString

    public CATypeRecordIdentifier convertFromString(String text)
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeRecordIdentifier>`

  - ### convertToString

    public String convertToString(CATypeRecordIdentifier value)
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeRecordIdentifier>`

  - ### exampleValue

    public CATypeRecordIdentifier exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeRecordIdentifier>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeRecordIdentifier>`

  - ### convertedClass

    public Class<CATypeRecordIdentifier> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<CATypeRecordIdentifier>`